import { Component, Input, Output, EventEmitter } from "@angular/core";
import { NavController } from "ionic-angular";
import { LocationPickerPage } from "../pages/location-picker/location-picker.page";
import { StoreService } from "@justbe-angular/jb-store";
var HTML_TMPL_GETTER = " \n\n<ion-grid no-padding>\n    <ion-list>\n        <ion-item>\n            <ion-icon name=\"pin\" item-start></ion-icon>\n            <h2 text-wrap>{{selectedLocation?.locationText}}</h2>\n            <p text-wrap (click)=\"navigateLocationPicker()\">Click here to select location</p>\n        </ion-item>\n    </ion-list>\n</ion-grid>\n";
var CSS_STYLES = "\n\n";
var LocationPickerComponent = (function () {
    function LocationPickerComponent(navCtrl, storeService) {
        this.navCtrl = navCtrl;
        this.storeService = storeService;
        this.locationChange = new EventEmitter();
    }
    ;
    LocationPickerComponent.prototype.ngOnInit = function () {
        var _this = this;
        this.storeService.getListener('jlp:onLocationSelect').subscribe(function (res) {
            _this.selectedLocation = res;
            _this.locationChange.emit(res);
        });
    };
    LocationPickerComponent.prototype.navigateLocationPicker = function () {
        this.navCtrl.push(LocationPickerPage);
    };
    LocationPickerComponent.prototype.ngOnDestroy = function () {
    };
    LocationPickerComponent.decorators = [
        { type: Component, args: [{
                    selector: 'location-picker-component',
                    template: HTML_TMPL_GETTER,
                    styles: [CSS_STYLES]
                },] },
    ];
    /** @nocollapse */
    LocationPickerComponent.ctorParameters = function () { return [
        { type: NavController, },
        { type: StoreService, },
    ]; };
    LocationPickerComponent.propDecorators = {
        "locationChange": [{ type: Output },],
        "location": [{ type: Input },],
    };
    return LocationPickerComponent;
}());
export { LocationPickerComponent };
//# sourceMappingURL=location-picker.component.js.map